# Iris

### Model Overview

**Iris** is a face focused enhancement model designed to recover facial detail in low to medium quality footage. It is optimized for footage where faces are degraded due to noise, compression, or interlacing.

Iris performs best on challenging sources such as archival material, broadcast footage, or heavily compressed video.

### Key Capabilities

* Specialized face recovery for older or degraded footage
* Works with both progressive and interlaced sources
* This model has been specifically trained for low quality (**LQ**) and mid quality (**MQ**) input videos.

### Pricing

| Duration | 720p | 1080p | 4K  |
| -------- | ---- | ----- | --- |
| **1s**   | 1    | 1     | 1   |
| **5s**   | 1    | 1     | 3   |
| **10s**  | 1    | 2     | 6   |
| **1m**   | 4    | 8     | 31  |
| **5m**   | 17   | 38    | 151 |
| **10m**  | 34   | 76    | 302 |

{% hint style="info" %}
The above credit costs are all estimates calculated at 30fps. For more accurate pricing, we recommend checking out our [Credit Calculator](https://developer.topazlabs.com/credit-calculator).
{% endhint %}

### Getting Started

**Endpoint**

* [https://api.topazlabs.com/video/](<https://api.topazlabs.com/video/&#xA;>)
  * `model` —&#x20;
    * `"iris-3"` (Iris Low Quality)
    * `"iris-2"` (Iris Medium Quality)

**Model-Specific Parameters**

* `video_type` — `"Progressive"`, `"Interlaced"`, or `"ProgressiveInterlaced"`
* `auto` — `"Auto"`, `"Manual"`, or `"Relative"`
* `field_order` — `"TopFirst"`, `"BottomFirst"`, or `"Auto"`
* `focus_fix_level` — `"None"`, `"Normal"`, or `"Strong"`
* `compression` — decimal between -1 and 1
* `details` — decimal between -1 and 1
* `prenoise` — decimal between 0 and 0.1
* `noise` — decimal between -1 and 1
* `halo` — decimal between -1 and 1
* `preblur` — decimal between -1 and 1
* `blur` — decimal between -1 and 1
* `grain` — decimal between 0 and 0.1
* `grain_sigma` — decimal between 0 and 1
* `grain_size` — decimal between 0 and 5
* `grain_type` — `"silver_rich"`, `"gaussian"`, or `"grey"`
* `recover_original_detail_value` — decimal between 0 and 1

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th align="center"></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td align="center">Click to view<br><code>Iris LQ</code></td><td><a href="/files/bidSDnh5svYe77CSjvxI">/files/bidSDnh5svYe77CSjvxI</a></td><td><a href="https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FIris_Face_before.webm&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FIris_Face_after.webm&#x26;src2label=After&#x26;zoom=1">https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FIris_Face_before.webm&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FIris_Face_after.webm&#x26;src2label=After&#x26;zoom=1</a></td></tr><tr><td align="center">Click to view<br><code>Iris MQ</code></td><td><a href="/files/wldQP0K9Y8p42p4hZRcF">/files/wldQP0K9Y8p42p4hZRcF</a></td><td><a href="https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FGuerrilla-NTSC-Interlaced-before.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FGuerrilla-4k-iris3.mp4&#x26;src2label=After&#x26;zoom=1">https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FGuerrilla-NTSC-Interlaced-before.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FGuerrilla-4k-iris3.mp4&#x26;src2label=After&#x26;zoom=1</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.topazlabs.com/video-models/proteus/iris.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
